/***************************************************************************/
/***************************************************************************/
/*                                                                         */
/*   (c) 1993-1995.  The Regents of the University of California.  All     */
/*   rights reserved.                                                      */
/*                                                                         */
/*   This work was produced at the University of California, Lawrence      */
/*   Livermore National Laboratory (UC LLNL) under contract no.            */
/*   W-7405-ENG-48 (Contract 48) between the U.S. Department of Energy     */
/*   (DOE) and The Regents of the University of California (University)    */
/*   for the operation of UC LLNL.  Copyright is reserved to the           */
/*   University for purposes of controlled dissemination,                  */
/*   commercialization through formal licensing, or other disposition      */
/*   under terms of Contract 48; DOE policies, regulations and orders;     */
/*   and U.S. statutes.  The rights of the Federal Government are          */
/*   reserved under Contract 48 subject to the restrictions agreed upon    */
/*   by the DOE and University.                                            */
/*                                                                         */
/*                                                                         */
/*                              DISCLAIMER                                 */
/*                                                                         */
/*   This software was prepared as an account of work sponsored by an      */
/*   agency of the United States Government.  Neither the United States    */
/*   Government nor the University of California nor any of their          */
/*   employees, makes any warranty, express or implied, or assumes any     */
/*   liability or responsibility for the accuracy, completeness, or        */
/*   usefulness of any information, apparatus, product, or process         */
/*   disclosed, or represents that its specific commercial products,       */
/*   process, or service by trade name, trademark, manufacturer, or        */
/*   otherwise, does not necessarily constitute or imply its               */
/*   endorsement, recommendation, or favoring by the United States         */
/*   Government or the University of California. The views and opinions    */
/*   of the authors expressed herein do not necessarily state or reflect   */
/*   those of the United States Government or the University of            */
/*   California, and shall not be used for advertising or product          */
/*   endorsement purposes.                                                 */
/*                                                                         */
/*   Permission to use, copy, modify and distribute this software and its  */
/*   documentation for any non-commercial purpose, without fee, is         */
/*   hereby granted, provided that the above copyright notice and this     */
/*   permission notice appear in all copies of the software and            */
/*   supporting documentation, and that all UC LLNL identification in      */
/*   the user interface remain unchanged.  The title to copyright LLNL     */
/*   XFTP shall at all times remain with The Regents of the University     */
/*   of California and users agree to preserve same. Users seeking the     */
/*   right to make derivative works with LLNL XFTP for commercial          */
/*   purposes may obtain a license from the Lawrence Livermore National    */
/*   Laboratory's Technology Transfer Office, P.O. Box 808, L-795,         */
/*   Livermore, CA 94550.                                                  */
/*                                                                         */
/***************************************************************************/
/***************************************************************************/

#define logo50_width 50
#define logo50_height 50

static unsigned char logo50_bits[] = {
 0xff, 0xff, 0x0f, 0xc0, 0xff, 0xff, 0x03, 0x01, 0x00, 0x08, 0x40, 0x00,
 0x00, 0x02, 0xcf, 0xcf, 0x0f, 0xc0, 0xcf, 0xcf, 0x03, 0x10, 0x40, 0x00,
 0x00, 0x08, 0x20, 0x00, 0x20, 0x80, 0x00, 0x00, 0x04, 0x10, 0x00, 0x20,
 0x9f, 0x00, 0x00, 0xe4, 0x13, 0x00, 0x40, 0x00, 0x01, 0x00, 0x02, 0x08,
 0x00, 0x80, 0x00, 0x02, 0x00, 0x01, 0x04, 0x00, 0x00, 0xf9, 0x04, 0x80,
 0x7c, 0x02, 0x00, 0x00, 0x01, 0x04, 0x80, 0x00, 0x02, 0x00, 0x00, 0x02,
 0x08, 0x40, 0x00, 0x01, 0x00, 0x00, 0xe4, 0x13, 0x20, 0x9f, 0x00, 0x00,
 0x00, 0x04, 0x10, 0x20, 0x80, 0x00, 0x00, 0x00, 0x08, 0x20, 0x10, 0x40,
 0x00, 0x00, 0x00, 0x90, 0x4f, 0xc8, 0x27, 0x00, 0x00, 0x00, 0x20, 0x80,
 0x04, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc,
 0xff, 0xfc, 0xff, 0xfc, 0x1f, 0x00, 0x04, 0x80, 0x04, 0x80, 0x04, 0x20,
 0x00, 0x04, 0x80, 0x04, 0x80, 0x04, 0x40, 0x00, 0xe4, 0xff, 0xfc, 0xfc,
 0xe4, 0x8f, 0x00, 0x24, 0x00, 0x82, 0x04, 0x25, 0x90, 0x00, 0x24, 0x00,
 0x84, 0x84, 0x24, 0x90, 0x00, 0xe4, 0x1f, 0x84, 0x84, 0xe4, 0x8f, 0x00,
 0x04, 0x10, 0x88, 0x44, 0x04, 0x40, 0x00, 0x04, 0x10, 0x88, 0x44, 0x04,
 0x20, 0x00, 0xe4, 0x1f, 0x84, 0x84, 0xe4, 0x1f, 0x00, 0x24, 0x00, 0x84,
 0x84, 0x24, 0x00, 0x00, 0x24, 0x00, 0x82, 0x04, 0x25, 0x00, 0x00, 0x24,
 0x00, 0x99, 0x64, 0x24, 0x00, 0x00, 0x24, 0x00, 0x81, 0x04, 0x24, 0x00,
 0x00, 0x24, 0x80, 0x80, 0x04, 0x24, 0x00, 0x00, 0x24, 0x40, 0x9e, 0xe4,
 0x24, 0x00, 0x00, 0x3c, 0x20, 0x80, 0x07, 0x3c, 0x00, 0x00, 0x00, 0x20,
 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x90, 0x4f, 0xc8, 0x27, 0x00, 0x00,
 0x00, 0x08, 0x20, 0x10, 0x40, 0x00, 0x00, 0x00, 0x04, 0x10, 0x20, 0x80,
 0x00, 0x00, 0x00, 0xe4, 0x13, 0x20, 0x9f, 0x00, 0x00, 0x00, 0x02, 0x08,
 0x40, 0x00, 0x01, 0x00, 0x00, 0x01, 0x04, 0x80, 0x00, 0x02, 0x00, 0x00,
 0xf9, 0x04, 0x80, 0x7c, 0x02, 0x00, 0x80, 0x00, 0x02, 0x00, 0x01, 0x04,
 0x00, 0x40, 0x00, 0x01, 0x00, 0x02, 0x08, 0x00, 0x20, 0x9f, 0x00, 0x00,
 0xe4, 0x13, 0x00, 0x20, 0x80, 0x00, 0x00, 0x04, 0x10, 0x00, 0x10, 0x40,
 0x00, 0x00, 0x08, 0x20, 0x00, 0xcf, 0xcf, 0x0f, 0xc0, 0xcf, 0xcf, 0x03,
 0x01, 0x00, 0x08, 0x40, 0x00, 0x00, 0x02, 0xff, 0xff, 0x0f, 0xc0, 0xff,
 0xff, 0x03 };
